import { UiComponentConfig } from "../../generated/UiComponentConfig";
import { AbstractDropDown } from "./AbstractDropDown";
import { UiComponent } from "../UiComponent";
interface OpenConfig {
    $reference: HTMLElement | Element;
    width?: number;
    viewPortPadding?: number;
    minHeight?: number;
}
export declare class UiDropDown extends AbstractDropDown<OpenConfig> {
    constructor(content?: UiComponent<UiComponentConfig>);
    doOpen(options: OpenConfig): void;
    protected doClose(): void;
}
export {};
